Package com.xebialabs.xlrelease.domain.events

# Class FolderVariableUpdatedEvent$

java.lang.Object
scala.runtime.AbstractFunction3<Variable,Variable,VariableModificationSource,FolderVariableUpdatedEvent>
com.xebialabs.xlrelease.domain.events.FolderVariableUpdatedEvent$

All Implemented Interfaces:
  `Serializable`, `scala.Function3<Variable,Variable,VariableModificationSource,FolderVariableUpdatedEvent>`

public class FolderVariableUpdatedEvent$ extends scala.runtime.AbstractFunction3<Variable,Variable,VariableModificationSource,FolderVariableUpdatedEvent> implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final FolderVariableUpdatedEvent$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FolderVariableUpdatedEvent$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FolderVariableUpdatedEvent`
  `apply(Variable original, Variable updated, VariableModificationSource source)`
  `final String`
  `toString()`
  `scala.Option<scala.Tuple3<Variable,Variable,VariableModificationSource>>`
  `unapply(FolderVariableUpdatedEvent x$0)`

  ### Methods inherited from class scala.runtime.AbstractFunction3

  `curried, tupled`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### MODULE$

    public static final FolderVariableUpdatedEvent$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### FolderVariableUpdatedEvent$

    public FolderVariableUpdatedEvent$()

- ## Method Details

  - ### toString

    public final String toString()
    Specified by:
      `toString` in interface `scala.Function3<Variable,Variable,VariableModificationSource,FolderVariableUpdatedEvent>`
    Overrides:
      `toString` in class `scala.runtime.AbstractFunction3<Variable,Variable,VariableModificationSource,FolderVariableUpdatedEvent>`

  - ### apply

    public FolderVariableUpdatedEvent apply(Variable original, Variable updated, VariableModificationSource source)
    Specified by:
      `apply` in interface `scala.Function3<Variable,Variable,VariableModificationSource,FolderVariableUpdatedEvent>`

  - ### unapply

    public scala.Option<scala.Tuple3<Variable,Variable,VariableModificationSource>> unapply(FolderVariableUpdatedEvent x$0)